<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/questionnaire/networkCommunicationsTable.xhtml">
        <ui:define name="moreColumns">
            <rich:column>
                <f:facet name="header">#{messages['net.ihe.gazelle.questionnaire.Comment']}</f:facet>
                <div class="gzl-never-wrap form-inline">
                    <h:inputTextarea value="#{com.comment}" rows="2" cols="30" styleClass="form-control"/>
                    <ui:insert name="saveButton"/>
                </div>
            </rich:column>
        </ui:define>
    </s:decorate>
</ui:composition>
